@import url("https://fonts.googleapis.com/css?family=Cardo:400i|Rubik:400,700&display=swap");

:root {
  --d: 700ms;
  --e: cubic-bezier(0.19, 1, 0.22, 1);
  --font-sans: "Rubik", sans-serif;
  --font-serif: "Cardo", serif;
}






.page-content {
  display: grid;
  grid-gap: 0.5rem;
  padding: 0rem;
  margin: 6rem auto 6rem auto;
  font-family: var(--font-sans);
}

.card:nth-child(even) {
  height: 100%;
}



.card {
  position: relative;
  display: flex;
  align-items: flex-end;
  overflow: hidden;
  padding: 0rem;
  width: 100%;
  text-align: center;
  color: rgb(255, 255, 255);
  background-color: whitesmoke;
  border-radius: 0px 0px;
  cursor: pointer;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1), 0 2px 2px rgba(0, 0, 0, 0.1), 0 4px 4px rgba(0, 0, 0, 0.1), 0 8px 8px rgba(0, 0, 0, 0.1), 0 16px 16px rgba(0, 0, 0, 0.1);
}

@media (min-width: 600px) {
  .card {
    height: 450px;
  }
}

.product-heading {
  font-size: 3.5rem !important;
  font-weight: 500 !important;
}

.card:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 110%;
  background-size: cover;
  background-position: 0 0;
  transition: transform calc(var(--d) * 1.5) var(--e);
  pointer-events: none;
}

.card:after {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 200%;
  pointer-events: none;
  background-image: linear-gradient(to bottom, rgba(25, 32, 0, 0) 0%, rgba(13, 15, 5, 0.009) 11.7%, rgb(25, 32, 0, 0.034) 22.1%, rgb(25, 32, 0, 0.072) 31.2%, rgb(25, 32, 0, 0.123) 39.4%, rgb(25, 32, 0, 0.182) 46.6%, rgb(25, 32, 0, 0.249) 53.1%, rgb(25, 32, 0, 0.32) 58.9%, rgb(25, 32, 0, 0.394) 64.3%, rgb(25, 32, 0, 0.468) 69.3%, rgb(25, 32, 0, 0.54) 74.1%, rgb(25, 32, 0, 0.607) 78.8%, rgb(25, 32, 0, 0.668) 83.6%, rgb(25, 32, 0, 0.721) 88.7%, rgb(25, 32, 0, 0.762) 94.1%, rgb(25, 32, 0, 0.79) 100%);
  transform: translateY(-50%);
  transition: transform calc(var(--d) * 2) var(--e);
}

.card1:before {
  background-image: url("../img/products-display/canvas.webp");
}

.card2:before {
  background-image: url("../img/products-display/patterend.webp");
}

.card3:before {
  background-image: url("../img/products-display/drill.webp");
}

.card4:before {
  background-image: url("../img/products-display/printed.webp");
}

.card5:before {
  background-image: url("../img/products-display/nylon.webp");
}

.card6:before {
  background-image: url("../img/products-display/linen.webp");
}

.card7:before {
  background-image: url("../img/products-display/yarn-dyed.webp");
}

.card8:before {
  background-image: url("../img/products-display/jacquard.webp");
}

.card9:before {
  background-image: url("../img/products-display/filler-foam.webp");
}

.card10:before {
  background-image: url("../img/products-display/non.webp");
}

.card11:before {
  background-image: url("../img/products-display/denim.webp");
}

.card12:before {
  background-image: url("../img/products-display/corduroy.webp");
}



.content {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  padding: 1rem;
  transition: transform var(--d) var(--e);
  z-index: 1;
}

.content>*+* {
  margin-top: 1rem;
}

.page-content .title {
  font-size: 2rem;
  font-weight: 500;
  line-height: 1.2;
  color: white !important;
  ;
}

.copy {
  font-family: var(--font-serif);
  font-size: 1.4rem;
  font-style: italic;
  line-height: 1.35;
}

.btn-secondary {
  background-color: #979979;
  color: white;
  border-radius: 5px;
  padding: 10px 30px;
  font-size: 1rem;
  cursor: pointer;
  font-family: var(--font-serif);
}

.btn-secondary:hover {
  background-color: #77774b;
  transition: cubic-bezier(0.075, 0.82, 0.165, 1);
}





@media (hover: hover) and (min-width: 600px) {
  .card:after {
    transform: translateY(0);
  }

  .content {
    transform: translateY(calc(100% - 4.5rem));
  }

  .content>*:not(.title) {
    opacity: 0;
    transform: translateY(1rem);
    transition: transform var(--d) var(--e), opacity var(--d) var(--e);
  }

  .card:hover,
  .card:focus-within {
    align-items: center;
  }

  .card:hover:before,
  .card:focus-within:before {
    transform: translateY(-4%);
  }

  .card:hover:after,
  .card:focus-within:after {
    transform: translateY(-50%);
  }

  .card:hover .content,
  .card:focus-within .content {
    transform: translateY(0);
  }

  .card:hover .content>*:not(.title),
  .card:focus-within .content>*:not(.title) {
    opacity: 1;
    transform: translateY(0);
    transition-delay: calc(var(--d) / 8);
  }

  .card:focus-within:before,
  .card:focus-within:after,
  .card:focus-within .content,
  .card:focus-within .content>*:not(.title) {
    transition-duration: 0s;
  }
}


@media (min-width: 1201px) {
  .page-content {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media (max-width: 1200px) {
  .page-content {
    grid-template-columns: repeat(2, 1fr);
  }

  .products-container {
    margin: 0px 3rem;
  }
}

@media (max-width: 700px) {
  .page-content {
    grid-template-columns: repeat(1, 1fr);
  }

  .card {
    height: 18rem;
    color: black;
  }

  .products-container {
    margin: 0px 3rem;
  }

  .page-content .title {
    color: black !important;
  }

  .card:after {
    background-image: linear-gradient(45deg, #9799791c, #c3c3c300);
  }
}